Bug 846382 - [Sandybridge] drm:intel_dsm_platform_mux_info: *error* mux info call failed
[Sandybridge] drm:intel_dsm_platform_mux_info: *error* mux info call failed
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
[cat:modesetting]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 11:37 EDT by Renato F
Modified: 2012-08-20 12:08 EDT (History)
33 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 709115
Environment:
Last Closed: 2012-08-20 12:08:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log files for comment of Hans van Hintum (128.05 KB, application/octet-stream)
2012-08-09 05:49 EDT, Hans van Hintum
no flags Details

  None (edit)
Description Renato F 2012-08-07 11:37:50 EDT
Just cloning the bug that was never fixed since F15.
+++ This bug was initially created as a clone of Bug #709115 +++

Description of problem:
every time i boot my laptop the graphical boot thing comes up for a little bit and then the screen goes black and shows this error. another user on the #fedora irc said he had the same problem and linked it to nvidia chipsets with intel processors. my laptop has an nvidia mobility 550 graphics card and a 2nd generation i7 processor.

Version-Release number of selected component (if applicable):
fedora 15

How reproducible:
every time i turn on my laptop.

Steps to Reproduce:
1.restart computer
2.
3.
  
Actual results:


Expected results:


Additional info:
http://fpaste.org/DL6r/ - messages log lines 1437 shows error.

--- Additional comment from mcepl@redhat.com on 2011-06-03 05:57:25 EDT ---

Thanks for the bug report. This is interesting

May 29 10:55:46 localhost kernel: [ 2.868467] [drm] Initialized drm 1.1.0 20060810
May 29 10:55:46 localhost kernel: [ 2.891688] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
May 29 10:55:46 localhost kernel: [ 2.905710] VGA switcheroo: detected DSM switching method \_SB_.PCI0.PEG0.PEGP handle
May 29 10:55:46 localhost kernel: [ 2.905733] nouveau 0000:01:00.0: power state changed by ACPI to D0
May 29 10:55:46 localhost kernel: [ 2.905737] nouveau 0000:01:00.0: power state changed by ACPI to D0
May 29 10:55:46 localhost kernel: [ 2.905742] nouveau 0000:01:00.0: enabling device (0006 -> 0007)
May 29 10:55:46 localhost kernel: [ 2.905749] nouveau 0000:01:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
May 29 10:55:46 localhost kernel: [ 2.927493] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
May 29 10:55:46 localhost kernel: [ 2.927495] [drm] Driver supports precise vblank timestamp query.
May 29 10:55:46 localhost kernel: [ 2.962260] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
May 29 10:55:46 localhost kernel: [ 2.962377] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
May 29 10:55:46 localhost kernel: [ 3.026017] vgaarb: device changed decodes: PCI:0000:00:02.0,olddecodes=io+mem,decodes=none:owns=io+mem
May 29 10:55:46 localhost kernel: [ 3.026020] vgaarb: transferring owner from PCI:0000:00:02.0 to PCI:0000:01:00.0
May 29 10:55:46 localhost kernel: [ 3.078529] fbcon: inteldrmfb (fb0) is primary device
May 29 10:55:46 localhost kernel: [ 3.140048] Console: switching to colour frame buffer device 200x56
May 29 10:55:46 localhost kernel: [ 3.144878] fb0: inteldrmfb frame buffer device
May 29 10:55:46 localhost kernel: [ 3.144880] drm: registered panic notifier
May 29 10:55:46 localhost kernel: [ 3.145108] [Firmware Bug]: ACPI(PEGP) defines _DOD but not _DOS

but there is some additional information we require that will be helpful in our diagnosis of this issue.

Please add drm.debug=0x04 to the kernel command line, restart computer, and attach

* your X server config file (/etc/X11/xorg.conf, if available),
* X server log file (/var/log/Xorg.*.log)
* output of the dmesg command, and
* system log (/var/log/messages)

to the bug report as individual uncompressed file attachments using the bugzilla file attachment link above.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

--- Additional comment from mcepl@redhat.com on 2011-06-03 05:58:27 EDT ---

Created attachment 502770 [details]
dmesg output

--- Additional comment from jeromyj@gmail.com on 2011-06-03 18:08:19 EDT ---

Created attachment 502919 [details]
my xorg log

--- Additional comment from jeromyj@gmail.com on 2011-06-03 18:15:36 EDT ---

Created attachment 502920 [details]
my messages log

--- Additional comment from jeromyj@gmail.com on 2011-06-03 18:17:36 EDT ---

Created attachment 502921 [details]
dmesg output.

--- Additional comment from jeromyj@gmail.com on 2011-06-03 21:17:32 EDT ---

I should probably say that this error happens also happens when i close my laptop (normally puts OS to sleep) and then i open it, its displaying that error and sometimes freezes

--- Additional comment from mcepl@redhat.com on 2011-06-06 17:42:56 EDT ---

(In reply to comment #6)
> I should probably say that this error happens also happens when i close my
> laptop (normally puts OS to sleep) and then i open it, its displaying that
> error and sometimes freezes

Can I ask for clarification please? When this error happens (on boot or suspend) that's the end of the story? Computer is not usable anytime later on its own?

Thank you

Matěj

--- Additional comment from jeromyj@gmail.com on 2011-06-06 20:11:21 EDT ---

Matej
It happens every time on boot, and doesnt seem to affect anything (my boot time is about 45 second) but on suspend it usually will display the error for anywhere from 2-5 minutes normally, but sometimes (every third time or so) it takes a lot longer and i just do a hard reboot.

Jeromy

--- Additional comment from rain.jm@gmail.com on 2011-06-06 20:24:35 EDT ---

I had the same problem on my Thinkpad T520 with Fedora 15, it happens every start up and shutdown.

My video card is NVIDIA Quadro NVS4200M Optimus technology (1GB), and CPU is Intel Core i7-2820QM (Quad-Core) Processor (2.30GHz, 8MB L3, 1333MHz FSB) with Intel Turbo Boost Technology up to 3.4GHz.

The exact error message is: 

[    3.946516] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

--- Additional comment from rain.jm@gmail.com on 2011-06-08 22:11:17 EDT ---

Created attachment 503809 [details]
Xorg.0.log

Attachment is my Xorg.0.log file.

--- Additional comment from rain.jm@gmail.com on 2011-06-08 22:15:08 EDT ---

Created attachment 503810 [details]
Output of dmesg

Attachment of output of dmesg.

--- Additional comment from rain.jm@gmail.com on 2011-06-08 22:19:46 EDT ---

Created attachment 503811 [details]
/var/log/messages

Attachment of /var/log/messages

--- Additional comment from rain.jm@gmail.com on 2011-06-08 22:21:47 EDT ---

I don't have /etc/X11/xorg.conf on in my system.

--- Additional comment from satbfydwno@163.com on 2011-06-27 00:01:26 EDT ---

add acpi=off to file /boot/grub/grub.conf and it works well, but I don't know why.

--- Additional comment from satbfydwno@163.com on 2011-06-27 02:12:07 EDT ---

add acpi=off to file /boot/grub/grub.conf and it works well, but I don't know why.

--- Additional comment from h.vorwerk@web.de on 2011-09-22 13:57:49 EDT ---

i can confirm this bug. my hardware is a packard bell notebook TS11 with 2nd generation i7-2630QM on HM65 Sandybridge and NVidia GeForce GT 555M.

if wanted i can also add my log files.

--- Additional comment from h.vorwerk@web.de on 2011-09-23 11:26:57 EDT ---

i would suggest to change the severity of this bug. because of this bug, my nvidia graphics card does not work! :)

--- Additional comment from petar.mijatovic@gmx.de on 2011-10-21 16:56:39 EDT ---

Created attachment 529566 [details]
Output of dmesg

--- Additional comment from petar.mijatovic@gmx.de on 2011-10-21 16:58:16 EDT ---

Created attachment 529567 [details]
Output of lspci -v

--- Additional comment from petar.mijatovic@gmx.de on 2011-10-21 16:58:58 EDT ---

Created attachment 529568 [details]
Xorg.0.log

--- Additional comment from petar.mijatovic@gmx.de on 2011-10-21 17:06:56 EDT ---

Hello,

I have the same error on a Lenovo Z360 in connection with following errors:
[    3.175472] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
[    3.617729] nouveau 0000:01:00.0: Invalid ROM contents
[    3.731439] [drm] nouveau 0000:01:00.0: Pointer to BIT loadval table invalid
[    3.799662] [drm] nouveau 0000:01:00.0: 0xDE87: i2c wr fail: -6

The kernel continue to boot after a short time and the built in screen works fine with a resolution of 1366x768 pixels.

An external monitor on the VGA connector is flickering (a lot :-)). With Windows 7 I hasn't encountered any problems with both monitors yet -- the hardware ist working.

I do not have any changed Xorg configuration files.

The output of lspci -v, dmesg and the Xorg.0.log you find in the attachments 529566, 529567 und 529568.

I join the suggestion of h.vorwerk@web.de to increase the severity of this bug.

Regards,

Petar.

--- Additional comment from david@thornley.net on 2011-11-05 20:01:56 EDT ---

On a Dell Inspiron N7110, I'm getting the same message as Ming Jiang above, repeated twice, on most attempts to boot.  Either it hangs, or it goes into what should be a login screen but it's completely blank except for the background.  It's been days since I've actually been able to log in.  I could try logging in from another machine if the wireless would work, but it's not connected physically to the network.

At first, I thought it had to do with unrecognized USB devices plugged in, but I'm getting it more consistently lately.

--- Additional comment from bz1@computeca.com">bz1@computeca.com on 2011-11-28 14:13:13 EST ---

I get something similar on my Lenovo W520 (quad core i7 and NVIDIA graphics) running Fedora 16. 

In about 50% of my boots the errors occur, otherwise it boots normally.  When the errors do occur, the boot drops out of graphics mode to text mode and prints something similar to the following text:


Booting 'Fedora Linux, with 3.1.1-2.fc16.i386.PAE'
Loading Linux 3.1.1-2.fc16.i386.PAE ...
Loading initial ramdisk ...
[    3.411572] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
[    3.993445] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH
[    4.398724] nouveau 0000:01:00.0: Invalid ROM contents

Sometimes the "Invalid ROM contents" line is the first of the three.

If I press the 'ESC' key, it presents a (text mode) LUKS password query for me to decrypt the root filesystem and I can proceed through the boot process normally from there (but in text mode until the GDM login kicks in, at which point graphics seems to work just fine).

--- Additional comment from steve@kelem.net on 2011-12-22 00:04:24 EST ---

I'm seeing the same bug on my Lenovo W520 also, running the newer 3.1.5-6 kernel:

 Booting 'Fedora (3.1.5-6.fc16.x86_64)'

Loading Fedora (3.1.5-6.fc16.x86_64)
Loading initial ramdisk ...
[    2.933360] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
[    3.494642] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH

At this point, the boot process hangs. Hitting ESC does nothing.  Consoles are not available.  It's dead, Jim.

--- Additional comment from steve@kelem.net on 2011-12-22 00:06:11 EST ---

Sorry, in Comment 24, "running" should be in quotes. It's not really running. The few times it does boot, it hangs after the Fedora spash screen, goes back to the log, then hangs, but consoles are available.

--- Additional comment from nrobert@index.hu on 2012-01-15 12:52:45 EST ---

I've been seeing this bug on my DELL n7110 for a few weeks, since I installed Fedora 16 on it. Until a few days ago, the system could boot, since then, it can't. I can't install any other Linux either: I tried the latest Suse and Ubuntu without any success. Ubuntu didn't even give me an error, but a blank, black screen.
I managed to install Debian Squeeze without any issue, but when I tried to configure the screen I found, that I can't (kernel 2.6.35). So I changed kernel to 2.6.39 bpo (it was recommended on a Debian list), which gave me the same error, and the OS doesn't boot.
I have a Windows 7 SP2 on the same laptop, and it doesn't have any problem,so the hw must be OK.

--- Additional comment from reubendb@gmail.com on 2012-01-15 21:51:19 EST ---

I am getting this same problem with _all_ kernel version from F16 until the latest update as of tonight. The symptoms are as described by other here. This is on a Dell Latitude with Nvidia (quadro nvs 4200M) graphic card. 

I tried to use default runlevel 3 and it didn't help.

I found a workaround by removing the graphical boot, i.e. remove "rhgb" from the kernel parameter.

The "acpi=off" workaround mentioned above also let me boot successfully, but without acpi battery monitor, power management, etc doesn't work correctly and that's unacceptable on a laptop.

Interestingly, adding "drm.debug=0x04" to the kernel parameter also let the system boot with graphical boot (rhgb).

--- Additional comment from reubendb@gmail.com on 2012-01-16 10:50:47 EST ---

I just found out that my laptop with this issue has 1 Nvidia card and integrated Intel graphic card available, _and_ that Nvidia Optimus technology is _enabled_ on the BIOS. Disabling that seems to make this issue gone.

Do those of you who experience this problem have similar setup ? I am wondering if this is the cause, e.g. there's no support to switch the graphic correctly (I could be way off). To check, see if  "lspci -nn | grep VGA" shows more than one line, and one of them is Nvidia.

--- Additional comment from rggjan@gmail.com on 2012-01-16 11:40:27 EST ---

Yes, I have an optimus laptop, too:

00:02.0 VGA compatible controller [0300]: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller [8086:0116] (rev 09)
01:00.0 VGA compatible controller [0300]: nVidia Corporation GF106 [GeForce GT 555M] [10de:0df4] (rev a1)

and in dmesg:

[    1.913278] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

Didn't try yet if the issue vanishes when the nvidia card is disabled...

--- Additional comment from vgallissot@gmail.com on 2012-01-18 10:45:37 EST ---

hi, 

Hardware = DELL Latitude E6420
GraphicCard = nVidia Corporation GF108 [Quadro NVS 4200M]
Fedora = 16 
Kernel = 3.1.7-1.fc16.x86_64

I had the same problem and fixed it by disabling in BIOS OPTIMUS, in "video" > "Optimus" section. 

I also had to install kmod-nvidia from rpm-fusion, cause Gnome was not working fine under "Nouveau" : compatibility mode. 

Be sure "nouveau" is correctly disabled after installing kmod-nvidia by checking in /etc/grub2.cfg ==> "nouveau.modeset=0 rd.driver.blacklist=nouveau" at the end of the "linux" line. 

Hope this will help !

--- Additional comment from firefexx@googlemail.com on 2012-01-19 13:29:25 EST ---

Boot stops on

Booting `Fedora (3.1.9-1.fc16.x86_64)`
Loading Fedora (3.1.9-1.fc16.x86_64)
Loading initial ramdisk ...
[   3.028716] [drm:ironlake_update_pch_refclk] *ERROR* enabling SSC on PCH

Nothing happens after the occurence of this message.
I'm able to boot in runlevel 3 to perform updates but graphical boot is impossible. Adding boot parameters don't help.

Happens on a Lenovo G770 with a Intel i5 2410m and an amd GPU.

Hope this bug will be fixed soon, it's a critical error 'cos I'm not able to boot but priority and severity are unspecified and low?! oO

--- Additional comment from uckelman@nomic.net on 2012-01-29 18:50:39 EST ---

I'm getting these same errors with every F16 kernel I've tried on a Thinkpad W520 with a Quadro 1000M.

--- Additional comment from mevsspam@gmail.com on 2012-02-09 04:47:32 EST ---

Same problem over here with a Fedora 16, Lenovo t520. 
However it seems not to break anything operational functions on my Laptop.

--- Additional comment from muhammet.k@gmail.com on 2012-02-20 08:14:45 EST ---

Same here with F16 on HP ProBook 4530s

--- Additional comment from sachin.pict@gmail.com on 2012-02-26 11:59:56 EST ---

I am also facing same issue on Lenovo Z570 laptop.
I have nvdia card with optimus technology.

--- Additional comment from kwalker@kobran.org on 2012-03-17 14:04:07 EDT ---

I'm having the same issue on a Dell XPS 15z (Core i7-2640M, "Integrated Graphics Controller (rev 09)" and nVidia GeForce 525M (Device 0df5 (rev a1), BIOS revision A07). Fresh install of Fedora 16 x86_64 refuses to boot past:

[drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
[drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

It just hangs. Keyboard goes non-responsive, and I have to hold the power button.

I finally managed to get past it by adding "acpi=noirq i915.semaphores=1" to the kernel command line. Using "acpi=noirq" instead of "acpi=off" I get to keep my four cores, though the it does disable hyperthreading. But still, four cores are better than one.

Also note, for anyone who has emcrypted volumes, this does break rhgb, so it will not prompt you for your crypted filesystem access codes. You can still type them, but it's tricky to know when. If you have trouble with it (At least until this bug is fixed) you might want to remove "rhgb" from your kernel command line, so you can see when to enter the password.

--- Additional comment from vladimirov001@gmail.com on 2012-04-01 05:13:59 EDT ---

The same bug. Dell Inspiron 7110, NVidia 525m.

On boot Fedora 16 shows next:

[drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
[drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

adding acpi=off to boot command solve problem temporarily

--- Additional comment from gersonsosa+redhatbug@gmail.com on 2012-04-19 13:20:54 EDT ---

Same bug in Toshiba Satellite P755-S5392, with intel Core i7-2670QM processor and NVIDIA GeForce GT 540M with NVIDIA with Optimus Technology, the processor has a integrated graphic card Intel HD Graphics 3000, the cards got switched to enhance power managment on windows 7.

The error message appear every time i boot on my laptop or when I put it in sleeep mode and awake again, the kernel continues to boot after showing the message for some seconds.

Apr 19 10:34:26 giovanni-fedora kernel: [    6.022450] [drm] nouveau 0000:01:00.0: Detected an NVc0 generation card (0x0c1a00a1)
Apr 19 10:34:26 giovanni-fedora kernel: [    6.022793] i915 0000:00:02.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
Apr 19 10:34:26 giovanni-fedora kernel: [    6.029477] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
Apr 19 10:34:26 giovanni-fedora kernel: [    6.039216] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
Apr 19 10:34:26 giovanni-fedora kernel: [    6.039218] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PROM
Apr 19 10:34:26 giovanni-fedora kernel: [    6.039232] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
Apr 19 10:34:26 giovanni-fedora kernel: [    6.039234] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PCIROM
Apr 19 10:34:26 giovanni-fedora kernel: [    6.049086] nouveau 0000:01:00.0: Invalid ROM contents
Apr 19 10:34:26 giovanni-fedora kernel: [    6.049269] [drm] nouveau 0000:01:00.0: ... BIOS signature not found
Apr 19 10:34:26 giovanni-fedora kernel: [    6.049270] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from ACPI
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188758] [drm] nouveau 0000:01:00.0: ... appears to be valid
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188769] [drm] nouveau 0000:01:00.0: BIT BIOS found
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188777] [drm] nouveau 0000:01:00.0: Bios version 70.08.3c.00
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188785] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188791] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188798] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 08022382 00020010
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188805] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 02011300 00000000
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188810] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 01000323 00010034
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188815] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 040033b6 0f220010
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188820] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 0000000e 00000000
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188828] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 16 4
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188835] [drm] nouveau 0000:01:00.0:   0: 0x00000040: type 0x40 idx 0 tag 0xff
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188842] [drm] nouveau 0000:01:00.0:   1: 0x00000100: type 0x00 idx 1 tag 0xff
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188848] [drm] nouveau 0000:01:00.0:   2: 0x00002261: type 0x61 idx 2 tag 0x08
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188854] [drm] nouveau 0000:01:00.0:   3: 0x00101347: type 0x47 idx 3 tag 0x07
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188872] [drm] nouveau 0000:01:00.0: Adaptor not initialised, running VBIOS init tables.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.188878] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xD56E
Apr 19 10:34:26 giovanni-fedora kernel: [    6.213285] [drm] nouveau 0000:01:00.0: 0xD518: i2c wr fail: -6
Apr 19 10:34:26 giovanni-fedora kernel: [    6.253773] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xDBBD
Apr 19 10:34:26 giovanni-fedora kernel: [    6.280883] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xEDC3
Apr 19 10:34:26 giovanni-fedora kernel: [    6.280894] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xEDC7
Apr 19 10:34:26 giovanni-fedora kernel: [    6.280957] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xEEAF
Apr 19 10:34:26 giovanni-fedora kernel: [    6.280962] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xEF14
Apr 19 10:34:26 giovanni-fedora kernel: [    6.319997] [drm] nouveau 0000:01:00.0: 3 available performance level(s)
Apr 19 10:34:26 giovanni-fedora kernel: [    6.320008] [drm] nouveau 0000:01:00.0: 0: core 50MHz shader 101MHz memory 135MHz timing 0 voltage 830mV
Apr 19 10:34:26 giovanni-fedora kernel: [    6.320010] [drm] nouveau 0000:01:00.0: 1: core 202MHz shader 405MHz memory 324MHz timing 1 voltage 830mV
Apr 19 10:34:26 giovanni-fedora kernel: [    6.320013] [drm] nouveau 0000:01:00.0: 3: core 672MHz shader 1344MHz memory 900MHz timing 2 voltage 980mV
Apr 19 10:34:26 giovanni-fedora kernel: [    6.320082] [drm] nouveau 0000:01:00.0: c: core 202MHz shader 405MHz memory 324MHz voltage 980mV
Apr 19 10:34:26 giovanni-fedora kernel: [    6.322267] [TTM] Zone  kernel: Available graphics memory: 4041894 kiB.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.322270] [TTM] Zone   dma32: Available graphics memory: 2097152 kiB.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.322272] [TTM] Initializing pool allocator.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.322286] [drm] nouveau 0000:01:00.0: Detected 512MiB VRAM
Apr 19 10:34:26 giovanni-fedora kernel: [    6.326819] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
Apr 19 10:34:26 giovanni-fedora kernel: [    6.331588] [drm] nouveau 0000:01:00.0: ACPI backlight interface available, not registering our own
Apr 19 10:34:26 giovanni-fedora kernel: [    6.361328] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Apr 19 10:34:26 giovanni-fedora kernel: [    6.361340] [drm] No driver support for vblank timestamp query.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.418791] No connectors reported connected with modes
Apr 19 10:34:26 giovanni-fedora kernel: [    6.418798] [drm] Cannot find any crtc or sizes - going 1024x768
Apr 19 10:34:26 giovanni-fedora kernel: [    6.421466] [drm] nouveau 0000:01:00.0: allocated 1024x768 fb: 0x1a0000, bo ffff88021da2dc00
Apr 19 10:34:26 giovanni-fedora kernel: [    6.424741] Console: switching to colour frame buffer device 128x48
Apr 19 10:34:26 giovanni-fedora kernel: [    6.426686] fb0: nouveaufb frame buffer device
Apr 19 10:34:26 giovanni-fedora kernel: [    6.426690] drm: registered panic notifier
Apr 19 10:34:26 giovanni-fedora kernel: [    6.426727] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
Apr 19 10:34:26 giovanni-fedora kernel: [    6.620658] mtrr: no more MTRRs available
Apr 19 10:34:26 giovanni-fedora kernel: [    6.620660] [drm] MTRR allocation failed.  Graphics performance may suffer.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.620854] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
Apr 19 10:34:26 giovanni-fedora kernel: [    6.620855] [drm] Driver supports precise vblank timestamp query.
Apr 19 10:34:26 giovanni-fedora kernel: [    6.621746] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

I don't know if its usual but the battery got wasted in less than 2 hours and my cpu is always on high temperature even when i'm not using it.

--- Additional comment from maxim@wzzrd.com on 2012-04-28 14:21:03 EDT ---

Same on ASUS N55SF with NVIDIA GT555M chipset and Intel i7 2630QM CPU.

--- Additional comment from renaud.gaglione@free.fr on 2012-05-10 15:36:10 EDT ---

Created attachment 583663 [details]
dmesg

[    5.347810] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

--- Additional comment from piazza1@hotmail.it on 2012-06-14 05:49:02 EDT ---

Hi!
I have the same problem!
at startup and at shutdown I get the following errors:
2.626193] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed
4.883143] [drm] nouveau 0000:01:00.0 0xD518: i2c wr fail: -6

My notebook is: Acer AS5755G

Ram: 6GB
Processor: intel core i5 2450m
Chipset: intel HM65
GraphicProcessor: Intel® Sandybridge Mobile  
GraphicCard = nVidia Geoforce 630m [1GB]
Fedora = 17
Kernel = 3.4.0-1.fc17.x86_64

Thanks.

--- Additional comment from mevsspam@gmail.com on 2012-06-14 07:45:23 EDT ---

Same problem with the Lenovo T520 and Fedora 17. 
Again, this doesn't seem to affect my systems functionality. 

Could someone explain what this failure means?

--- Additional comment from tom@moertel.com on 2012-07-06 15:29:39 EDT ---

I'm having the same problem on my Lenovo W520 laptop. Everything worked fine under F16, but after upgrading to F17 (via preupgrade), now the boot-up hangs with the following:

Loading Fedora (3.4.4-3.fc17.x86_64)
Loading initial ramdisk ...
[    3.561060] [drm] nouveau 0000:01:00.0: 0xD48B: wr fail: -6
[    4.315541] [drm:intel_dsm_platform_mux_info] *ERROR* MUX INFO call failed

As this problem is preventing people from booting, can we consider raising its priority/severity?

--- Additional comment from renatofdds@gmail.com on 2012-07-19 15:47:43 EDT ---

Same thing here. Fedora 17, 3.4.5-2, x86_64, Clevo W17HN, i7-2630QM, Nvidia GeForce 555M on pci 01:00:00 and intel on 00:02:00, running optimus. etc. Same scenario.
The error happens since ever from F15 - F17 last updates.

--- Additional comment from endoflife@fedoraproject.org on 2012-08-07 10:42:38 EDT ---

This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

--- Additional comment from bugzilla-redhat@martins.cc on 2012-08-07 11:07:30 EDT ---

As per multiple messages above this still happens on F17 with all kernels.  Maybe this should be reopened, unless of course, no one is going to do anything about it:-)
Comment 1 Hans van Hintum 2012-08-09 05:47:15 EDT
So, to add to the discussion and maybe also to the analysis, some contributions from me.

I have the same kind of problem on Fedora 16, 64bit on a Clevo W17HN, i7-2630QM, Nvida GeForce 540M on PCI:1:0:0  and Intel SandyBridge on PCI:0:2:0 running optimus.

Booting in different ways results in (reproducable) different bootup results.


If I boot up normally, I get stuck during the boot up process; I have to press the power button to continue (see messages file in booting_normal)

If I boot up with the kernel parameter acpi=noirq the computer starts up, but my bumblebee service is not functioning anymore.

If I boot up with an external mouse attached (but for the rest similar to the normal boot up process) I normall get the machine running (no log files attached). However, I experience an unstable wifi connection which is lost once in a while.

If I boot up with the kernel parameter drm.debug=0x04, the computer is booting up correctly (see log files in booting_drmdebug)

If I boot up via the recovery mode, and then type "telinit 5" at the prompt, my graphical interface start up and the computer is fully functional (also stable wifi connection, working bumblee service) (see log files in booting_recovery).


I hope that these log files will help to get the problem solved.
Comment 2 Hans van Hintum 2012-08-09 05:49:10 EDT
Created attachment 603221 [details]
log files for comment of Hans van Hintum
Comment 3 Hans van Hintum 2012-08-09 05:52:00 EDT
Sorry, But I forget the correct extension the file attachement603221; it is a gziped tar file.
Comment 4 Adam Jackson 2012-08-20 12:08:07 EDT
That message can't happen anymore:

commit b2dbf316f32b44d174445f868a39b37e4608541e
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Thu Jan 12 09:03:14 2012 -0800

    drm/i915: remove ACPI related DRM_ERRORs
    
    They're not really errors (well actually I don't know; I don't
    understand _DSM and _MUX well enough to say, but I do know they spam
    people's logs and seem to be harmless).
    
    Signed-off-by: Jesse Barnes <jbarnes@virtuousgeek.org>
    [danvet: The _DSM error got remove in another patch already]
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=44250
    Signed-off-by: Daniel Vetter <daniel.vetter@ffwll.ch>

Said patch is included in upstream 3.5.0; F17 has 3.5.2 in updates.

Note You need to log in before you can comment on or make changes to this bug.